#include<msp430g2553.h>
#include "i2c.h"
#include "430package.h"
#include "pcf8574a.h"
const uchar PCF8574A_key_code[16]={
0x7e,   0x7d,    0x7b,    0x77,
/*0        1      2       3    */
0xbe,   0xbd,    0xbb,    0xb7,
/* 4      5       6        7       */
0xde,   0xdd,    0xdb,    0xd7,
/* 8      9       a        b       */
0xee,   0xed,    0xeb,    0xe7
/* c      d       e        f       */
};
void main()
{
  STOP_WDT;
  DCO_CORRECT_1MHZ;
  I2C_init();
  P1DIR |=BIT0;
  P1OUT &=  ~BIT0;
  P1DIR &= ~BIT3;
  P1IE  |=BIT3;
  P1IES |= BIT3;
  P1REN |=BIT3;
  P1IFG &= ~BIT3;
  pcf8574a_send_byte(0x0f);
  _EINT();
  while(1);
}
#pragma vector =PORT1_VECTOR
__interrupt void PORT1_ISR()
{
  static uchar flag=0;
  uchar i;
  uchar key_val=0;
  key_val=pcf8574a_key_scan();
  if(key_val != 0x00)     //жް
  {
      for(i=0;i<16;i++)
      {
        if(PCF8574A_key_code[i]==key_val)
        {
          key_val=i;
          break;
        }
      }
      switch(key_val)
      {
        case 0: flag=!flag;
                  if(flag)
                  {
                      P1OUT |=BIT0;
                  }
                  else
                  {
                      P1OUT &= ~BIT0;
                  }
            break;
        default:break;
      }   
  }
  P1IFG &= ~BIT3; 
}